### Signal

# EDataCal CalCache::dup-component-revision

#### Declaration

    gchar*
    dup_component_revision (
      ECalCache* self,
      ICalComponent* object,
      gpointer user_data
    )

#### Description

No description available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`object`

  Type: `None`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.